summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 20:02:12 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:12 +0200
commit9715c449f2cc65350ed216b029e52dbee538e59c (patch)
tree2def99ae3253fd4bd465f56016cb67fafb66246d
parent9ebb417efdc883433f0ef1e4a49ac3e5938ba070 (diff)
downloadslackbuilds-9715c449f2cc65350ed216b029e52dbee538e59c.tar.gz
slackbuilds-9715c449f2cc65350ed216b029e52dbee538e59c.tar.xz
system/xdg-utils: Added to 12.0 repository
-rw-r--r--system/xdg-utils/README5
-rw-r--r--system/xdg-utils/slack-desc19
-rw-r--r--system/xdg-utils/xdg-utils.SlackBuild45
-rw-r--r--system/xdg-utils/xdg-utils.info8
4 files changed, 77 insertions, 0 deletions
diff --git a/system/xdg-utils/README b/system/xdg-utils/README
new file mode 100644
index 0000000000..8ccf58bc92
--- /dev/null
+++ b/system/xdg-utils/README
@@ -0,0 +1,5 @@
+Xdg-utils is a set of command line tools to assist applications
+with a variety of desktop integration tasks. About half of the
+tools focus on tasks commonly required during the installation of
+a desktop application and the other half focuses on integration
+with the desktop environment while the application is running.
diff --git a/system/xdg-utils/slack-desc b/system/xdg-utils/slack-desc
new file mode 100644
index 0000000000..c710cee762
--- /dev/null
+++ b/system/xdg-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xdg-utils: xdg-utils (command line tools that assist applications)
+xdg-utils:
+xdg-utils: Xdg-utils is a set of command line tools that assist applications
+xdg-utils: with a variety of desktop integration tasks. About half of the
+xdg-utils: tools focus on tasks commonly required during the installation of
+xdg-utils: a desktop application and the other half focuses on integration
+xdg-utils: with the desktop environment while the application is running.
+xdg-utils:
+xdg-utils:
+xdg-utils: http://portland.freedesktop.org/wiki/
+xdg-utils:
diff --git a/system/xdg-utils/xdg-utils.SlackBuild b/system/xdg-utils/xdg-utils.SlackBuild
new file mode 100644
index 0000000000..1b45924ab6
--- /dev/null
+++ b/system/xdg-utils/xdg-utils.SlackBuild
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+# Slackware build script for xdg-utils
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=xdg-utils
+VERSION=1.0.2
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+gzip -9 $PKG/usr/man/man1/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE README RELEASE_NOTES TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xdg-utils/xdg-utils.info b/system/xdg-utils/xdg-utils.info
new file mode 100644
index 0000000000..ef7e67bc67
--- /dev/null
+++ b/system/xdg-utils/xdg-utils.info
@@ -0,0 +1,8 @@
+PRGNAM="xdg-utils"
+VERSION="1.0.2"
+HOMEPAGE="http://portland.freedesktop.org/wiki/"
+DOWNLOAD="http://portland.freedesktop.org/download/xdg-utils-1.0.2.tgz"
+MD5SUM="348a5b91dc66426505022c74a64b2940"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"